gavl

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions
Acceleration flags

CPU specific acceleration flags. More...

## Macros
#define | GAVL_ACCEL_MMX (1<<0)
| MMX. More...
#define | GAVL_ACCEL_MMXEXT (1<<1)
| Extended MMX (a.k.a MMX2) More...
#define | GAVL_ACCEL_SSE (1<<2)
| Intel SSE. More...
#define | GAVL_ACCEL_SSE2 (1<<3)
| Intel SSE2. More...
#define | GAVL_ACCEL_SSE3 (1<<4)
| Intel SSE3. More...
#define | GAVL_ACCEL_3DNOW (1<<5)
| AMD 3Dnow. More...
#define | GAVL_ACCEL_3DNOWEXT (1<<6)
| AMD 3Dnow ext. More...
#define | GAVL_ACCEL_SSSE3 (1<<7)
| Intel SSSE3. More...

## Functions
GAVL_PUBLIC int | gavl_accel_supported ()
| Get the supported acceleration flags. More...

## Detailed Description

CPU specific acceleration flags.

These flags are used internally by gavl to obtain the supported acceleration mechanisms at runtime. Some applications however might need them as well for other tasks, so they are exported into the public API.

## Macro Definition Documentation

#define GAVL_ACCEL_MMX (1<<0)

MMX.

#define GAVL_ACCEL_MMXEXT (1<<1)

Extended MMX (a.k.a MMX2)

#define GAVL_ACCEL_SSE (1<<2)

Intel SSE.

#define GAVL_ACCEL_SSE2 (1<<3)

Intel SSE2.

#define GAVL_ACCEL_SSE3 (1<<4)

Intel SSE3.

#define GAVL_ACCEL_3DNOW (1<<5)

AMD 3Dnow.

#define GAVL_ACCEL_3DNOWEXT (1<<6)

AMD 3Dnow ext.

#define GAVL_ACCEL_SSSE3 (1<<7)

Intel SSSE3.

## Function Documentation

GAVL_PUBLIC int gavl_accel_supported | ( |  | ) |

Get the supported acceleration flags.

Returns
  A combination of GAVL_ACCEL_* flags.